Drawer does not support UTF-8 characters

2017-01-30 11:03 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

http://km-aev.in.audi.vwg/redmine/issues

/37952

Department: AEV Affected Products: ADTF 2.13.3, ADTF Display Toolbox

2.1.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: DisplayTB::2DDisplay

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Ist es möglich Umlaute in Drawern zu schrieben?

std::string displayText;

displayText = "Keine \xc3\x9c berholmöglichkeit";

if (!displayText.empty()) pCanvas->OutputText(DISPLAYTEXT_XPOS, DISPLAYTEXT_YPOS, "%s", displayTex

t.c_str());

 funktioniert leider nicht. Ich nehme also die UTF-Codierung von Hand vor.

Ein kleines Testprogramm:

// Example program

#include <iostream>

#include <string>

int main()

{

    std::string displayText;

    displayText = "Keine \xc3\x9c berholmöglichkeit";

    printf("%s \n", displayText.c_str());

}

 funktioniert hingegen schon.

Lösung:

ADTF nutzt zur Darstellung der Zeichen am Display OpenGL + den ASCII-Zeichensatz, der keine Umlaute enthält.

Ich hab zu dieser Anforderung für die Display Toolbox für ADTF 3 ein Produktticket erstellt.

Im AEV-Redmine: http://km-aev.in.audi.vwg/redmine/issues/37952

History

#1 - 2017-01-30 11:37 - hidden

- File Unbenannt.JPG added

Ergebnis sieht so aus:

 Unbenannt.JPG 

Genauer die Frage: Welcher Zeichensatz wird intern verwendet? Wenn ich mir die Ausgabe anschaue, gibt es ja schon noch weitere Zeichen als das

Standart UTF 8....

#2 - 2017-01-30 17:40 - hidden
http://km-aev.in.audi.vwg/redmine/issues/37952


- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/37952

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to DisplayTB::2DDisplay

An den Anwender:

Hallo Raphael,

welche Display Toolbox Version verwendest du?

Du hast im Ticket Header ADTF 2.X ausgewählt mit einer ADTF 3.X passenden Display Toolbox.

Zu deiner Frage:

ADTF nutzt zur Darstellung der Zeichen am Display OpenGL + den ASCII-Zeichensatz, der keine Umlaute enthält.

Ich hab zu dieser Anforderung für die Display Toolbox für ADTF 3 ein Produktticket erstellt.

Im AEV-Redmine: http://km-aev.in.audi.vwg/redmine/issues/37952

Bitte um kurzes Feedback, damit wir das Ticket schließen können.

#3 - 2017-01-31 06:17 - hidden

- File AffectedProducts.JPG added

Ich verwende die Display Toolbox 2.1.1. In eurer Listbox kann man diese aber nicht auswählen:

 AffectedProducts.jpg 

#4 - 2017-01-31 09:46 - hidden

- Affected Products ADTF Display Toolbox 2.1.1 added

- Affected Products deleted (ADTF Display Toolbox 3.0.0)

#5 - 2017-01-31 11:57 - hidden

- Subject changed from Umlaute in Drawer to Drawer does not support UTF-8 characters

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Support Level changed from 2nd Level to 3rd Level

- Customer set to AUDI/VW

- Department set to AEV

@Florian, Ticket kann geschlossen werden.

#6 - 2017-01-31 16:41 - hidden

- Status changed from To Be Closed to Closed

- Resolution changed from Solved Issue to Product Issue Opened

#8 - 2017-02-21 15:53 - hidden

- Customer changed from AUDI/VW to AUDI

Files

Unbenannt.JPG 16.2 KB 2017-01-30 hidden

AffectedProducts.JPG 33.3 KB 2017-01-31 hidden
